Bug 8661 - 'host msdfs' in smb.conf is not set active (prevents Vista/7 from applying GPO)
'host msdfs' in smb.conf is not set active (prevents Vista/7 from applying GPO)
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 17:12 UTC by Enrico Ehrhardt
Modified: 2011-12-16 12:15 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enrico Ehrhardt 2011-12-14 17:12:06 UTC
The option 'host msdfs' is not set active, which prevents Windows machines Vista and Windows 7 from applying GPOs.

However, Samba4 reports 'host msdfs = Yes' which isn't true.

$ testparm -v | grep "host msdfs" 
shows the implicit setting

After setting 'host msdfs = true' in smb.conf, GPOs apply as expected.

See also: http://lists.samba.org/archive/samba-technical/2011-December/080839.html
Comment 1 Andrew Bartlett 2011-12-14 20:25:32 UTC
Indeed, why is this not on by default (at least on the DC)?  Why should it ever be off on the DC?
Comment 2 Andrew Bartlett 2011-12-15 22:46:08 UTC
A fix for this is in autobuild.  We will now match Samba3 and have this feature on by default.
Comment 3 Enrico Ehrhardt 2011-12-16 09:05:24 UTC
(In reply to comment #2)
> A fix for this is in autobuild.  We will now match Samba3 and have this feature
> on by default.

Does this mean, testparm will be fixed to show the real value instead of just reporting 'Yes'?

I will check the new version soon, thanks.
Comment 4 Andrew Bartlett 2011-12-16 12:15:07 UTC
currently testparm reads samba3 parameters, while samba-tool testparm reads samba4 parameters.

There is an ongoing but incomplete task to merge these two loadparm systems.